Bug 496125 - IPv6 rpmdiff warnings
IPv6 rpmdiff warnings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity low
: beta
: ---
Assigned To: Eduardo Habkost
:
Depends On:
Blocks: 580953
  Show dependency treegraph
 
Reported: 2009-04-16 15:10 EDT by Eduardo Habkost
Modified: 2016-04-26 12:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-30 10:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2009-04-16 15:10:01 EDT
Warnings from rpmdiff:

VERIFY	 	kvm	 	usr/bin/qemu-kvm on x86_64 uses function gethostbyname, which may impact IPv6 support
VERIFY	 	kvm	 	usr/bin/qemu-kvm on x86_64 uses function inet_aton, which may impact IPv6 support
VERIFY	 	kvm	 	usr/bin/qemu-kvm on x86_64 uses function inet_ntoa, which may impact IPv6 support
VERIFY	 	kvm	 	usr/bin/qemu-nbd on x86_64 uses function gethostbyname, which may impact IPv6 support
VERIFY	 	kvm	 	usr/bin/qemu-nbd on x86_64 uses function inet_aton, which may impact IPv6 support
VERIFY	 	kvm-qemu-img	 	usr/bin/qemu-img on x86_64 uses function gethostbyname, which may impact IPv6 support
VERIFY	 	kvm-qemu-img	 	usr/bin/qemu-img on x86_64 uses function inet_aton, which may impact IPv6 support


I don't know if they are real issues, but it would be a good idea to check them.

More information about the rpmdiff test can be found on bug #199157.
Comment 1 Daniel Berrange 2009-04-16 15:20:15 EDT
These all need fixing, regardless of IPv6 support - nothing should use gethostbyname() under any circumstance anymore. In addition to lacking credible IPv6 support, it is not threadsafe, and do not return the results in a usefully sorted order.

Gerd had previously converted most of QEMU to use getaddrinfo()/getnameinfo(). We just need to complete the job and kill off gethostname() and inet_aton/ntoa too. The following guide demonstrates how to kill off these obsolete functions http://people.redhat.com/drepper/userapi-ipv6.html
Comment 2 RHEL Product and Program Management 2009-06-22 14:47:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Eduardo Habkost 2010-01-20 06:53:17 EST
On RHEL-6, the KVM userspace package is named "qemu-kvm". Moving bug to the right component.
Comment 6 Eduardo Habkost 2010-11-19 09:09:37 EST
This is something that should be addressed upstream first. Postponing again.

Note You need to log in before you can comment on or make changes to this bug.